/// <reference types="react" />
import ParameterValueWidget from "../ParameterValueWidget";
export declare const SettingLabel: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").LabelHTMLAttributes<HTMLLabelElement>, HTMLLabelElement>, {}>;
export declare const SettingLabelError: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, {}>;
export declare const SettingValueWidget: import("@emotion/styled").StyledComponent<import("prop-types").InferPropsInner<Pick<{
    parameter: import("prop-types").Validator<object>;
    name: import("prop-types").Requireable<string>;
    value: import("prop-types").Requireable<any>;
    setValue: import("prop-types").Validator<(...args: any[]) => any>;
    placeholder: import("prop-types").Requireable<string>;
    isEditing: import("prop-types").Requireable<boolean>;
    commitImmediately: import("prop-types").Requireable<boolean>;
    focusChanged: import("prop-types").Requireable<(...args: any[]) => any>;
    isFullscreen: import("prop-types").Requireable<boolean>;
    className: import("prop-types").Requireable<string>;
    parameters: import("prop-types").Requireable<any[]>;
    dashboard: import("prop-types").Requireable<object>;
    question: import("prop-types").Requireable<object>;
    setParameterValueToDefault: import("prop-types").Requireable<(...args: any[]) => any>;
    enableRequiredBehavior: import("prop-types").Requireable<boolean>;
    mimicMantine: import("prop-types").Requireable<boolean>;
    isSortable: import("prop-types").Requireable<boolean>;
}, import("prop-types").RequiredKeys<{
    parameter: import("prop-types").Validator<object>;
    name: import("prop-types").Requireable<string>;
    value: import("prop-types").Requireable<any>;
    setValue: import("prop-types").Validator<(...args: any[]) => any>;
    placeholder: import("prop-types").Requireable<string>;
    isEditing: import("prop-types").Requireable<boolean>;
    commitImmediately: import("prop-types").Requireable<boolean>;
    focusChanged: import("prop-types").Requireable<(...args: any[]) => any>;
    isFullscreen: import("prop-types").Requireable<boolean>;
    className: import("prop-types").Requireable<string>;
    parameters: import("prop-types").Requireable<any[]>;
    dashboard: import("prop-types").Requireable<object>;
    question: import("prop-types").Requireable<object>;
    setParameterValueToDefault: import("prop-types").Requireable<(...args: any[]) => any>;
    enableRequiredBehavior: import("prop-types").Requireable<boolean>;
    mimicMantine: import("prop-types").Requireable<boolean>;
    isSortable: import("prop-types").Requireable<boolean>;
}>>> & Partial<import("prop-types").InferPropsInner<Pick<{
    parameter: import("prop-types").Validator<object>;
    name: import("prop-types").Requireable<string>;
    value: import("prop-types").Requireable<any>;
    setValue: import("prop-types").Validator<(...args: any[]) => any>;
    placeholder: import("prop-types").Requireable<string>;
    isEditing: import("prop-types").Requireable<boolean>;
    commitImmediately: import("prop-types").Requireable<boolean>;
    focusChanged: import("prop-types").Requireable<(...args: any[]) => any>;
    isFullscreen: import("prop-types").Requireable<boolean>;
    className: import("prop-types").Requireable<string>;
    parameters: import("prop-types").Requireable<any[]>;
    dashboard: import("prop-types").Requireable<object>;
    question: import("prop-types").Requireable<object>;
    setParameterValueToDefault: import("prop-types").Requireable<(...args: any[]) => any>;
    enableRequiredBehavior: import("prop-types").Requireable<boolean>;
    mimicMantine: import("prop-types").Requireable<boolean>;
    isSortable: import("prop-types").Requireable<boolean>;
}, "dashboard" | "question" | "name" | "value" | "parameters" | "placeholder" | "className" | "isEditing" | "commitImmediately" | "focusChanged" | "mimicMantine" | "isFullscreen" | "enableRequiredBehavior" | "setParameterValueToDefault" | "isSortable">>> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {
    ref?: import("react").Ref<ParameterValueWidget> | undefined;
}>;
